ObjectResultSet
Date: 2010-07-30

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.postgresql.pljava.jdbc
Class ObjectResultSet

    java.lang.Object
      org.postgresql.pljava.jdbc.AbstractResultSet
          org.postgresql.pljava.jdbc.ObjectResultSet

All Implemented Interfaces:
  java.sql.ResultSet, java.sql.Wrapper

Direct Known Subclasses:
  ReadOnlyResultSet, SingleRowResultSet

    public abstract class ObjectResultSet

extends AbstractResultSet

Field Summary

Fields inherited from interface java.sql.ResultSet
`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

Constructor Summary
`ObjectResultSet()`

Method Summary
`void` | `clearWarnings()` This is a noop since warnings are not supported.
`java.sql.Array` | `getArray(int columnIndex)`
`java.io.InputStream` | `getAsciiStream(int columnIndex)`
`java.math.BigDecimal` | `getBigDecimal(int columnIndex)`
`java.math.BigDecimal` | `getBigDecimal(int columnIndex, int scale)` Deprecated.
`java.io.InputStream` | `getBinaryStream(int columnIndex)`
`java.sql.Blob` | `getBlob(int columnIndex)`
`boolean` | `getBoolean(int columnIndex)`
`byte` | `getByte(int columnIndex)`
`byte[]` | `getBytes(int columnIndex)`
`java.io.Reader` | `getCharacterStream(int columnIndex)`
`java.sql.Clob` | `getClob(int columnIndex)`
`java.sql.Date` | `getDate(int columnIndex)`
`java.sql.Date` | `getDate(int columnIndex, java.util.Calendar cal)`
`double` | `getDouble(int columnIndex)`
`float` | `getFloat(int columnIndex)`
`int` | `getInt(int columnIndex)`
`long` | `getLong(int columnIndex)`
`java.sql.ResultSetMetaData` | `getMetaData()` ResultSetMetaData is not yet supported.
`protected java.lang.Number` | `getNumber(int columnIndex, java.lang.Class cls)`
`java.lang.Object` | `getObject(int columnIndex)`
`java.lang.Object` | `getObject(int columnIndex, java.util.Map map)`
`protected abstract java.lang.Object` | `getObjectValue(int columnIndex)`
`protected java.lang.Object` | `getObjectValue(int columnIndex, java.util.Map typeMap)`
`java.sql.Ref` | `getRef(int columnIndex)`
`short` | `getShort(int columnIndex)`
`java.lang.String` | `getString(int columnIndex)`
`java.sql.Time` | `getTime(int columnIndex)`
`java.sql.Time` | `getTime(int columnIndex, java.util.Calendar cal)`
`java.sql.Timestamp` | `getTimestamp(int columnIndex)`
`java.sql.Timestamp` | `getTimestamp(int columnIndex, java.util.Calendar cal)`
`java.io.InputStream` | `getUnicodeStream(int columnIndex)` Deprecated.
`java.net.URL` | `getURL(int columnIndex)`
`protected java.lang.Object` | `getValue(int columnIndex, java.lang.Class cls)`
`protected java.lang.Object` | `getValue(int columnIndex, java.lang.Class cls, java.util.Calendar cal)`
`java.sql.SQLWarning` | `getWarnings()`
`void` | `refreshRow()` Refresh row is not yet implemented.
`void` | `updateArray(int columnIndex, java.sql.Array x)`
`void` | `updateAsciiStream(int columnIndex, java.io.InputStream x, int length)`
`void` | `updateBigDecimal(int columnIndex, java.math.BigDecimal x)`
`void` | `updateBinaryStream(int columnIndex, java.io.InputStream x, int length)`
`void` | `updateBlob(int columnIndex, java.sql.Blob x)`
`void` | `updateBoolean(int columnIndex, boolean x)`
`void` | `updateByte(int columnIndex, byte x)`
`void` | `updateBytes(int columnIndex, byte[] x)`
`void` | `updateCharacterStream(int columnIndex, java.io.Reader x, int length)`
`void` | `updateClob(int columnIndex, java.sql.Clob x)`
`void` | `updateDate(int columnIndex, java.sql.Date x)`
`void` | `updateDouble(int columnIndex, double x)`
`void` | `updateFloat(int columnIndex, float x)`
`void` | `updateInt(int columnIndex, int x)`
`void` | `updateLong(int columnIndex, long x)`
`void` | `updateNull(int columnIndex)`
`void` | `updateRef(int columnIndex, java.sql.Ref x)`
`void` | `updateShort(int columnIndex, short x)`
`void` | `updateString(int columnIndex, java.lang.String x)`
`void` | `updateTime(int columnIndex, java.sql.Time x)`
`void` | `updateTimestamp(int columnIndex, java.sql.Timestamp x)`
`boolean` | `wasNull()`

Methods inherited from class org.postgresql.pljava.jdbc.AbstractResultSet
`getArray, getAsciiStream, getBigDecimal, getBigDecimal, getBinaryStream, getBlob, getBoolean, getByte, getBytes, getCharacterStream, getClob, getCursorName, getDate, getDate, getDouble, getFloat, getHoldability, getInt, getLong, getNCharacterStream, getNCharacterStream, getNClob, getNClob, getNString, getNString, getObject, getObject, getRef, getRowId, getRowId, getShort, getSQLXML, getSQLXML, getStatement, getString, getTime, getTime, getTimestamp, getTimestamp, getUnicodeStream, getURL, isClosed, isWrapperFor, unwrap, updateArray, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateBigDecimal, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBoolean, updateByte, updateBytes, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateClob, updateClob, updateClob, updateClob, updateClob, updateDate, updateDouble, updateFloat, updateInt, updateLong, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNString, updateNString, updateNull, updateObject, updateObject, updateRef, updateRowId, updateRowId, updateShort, updateSQLXML, updateSQLXML, updateString, updateTime, updateTimestamp`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.sql.ResultSet
`absolute, afterLast, beforeFirst, cancelRowUpdates, close, deleteRow, findColumn, first, getConcurrency, getFetchDirection, getFetchSize, getRow, getType, insertRow, isAfterLast, isBeforeFirst, isFirst, isLast, last, moveToCurrentRow, moveToInsertRow, next, previous, relative, rowDeleted, rowInserted, rowUpdated, setFetchDirection, setFetchSize, updateObject, updateObject, updateRow`

Constructor Detail

### ObjectResultSet

    public ObjectResultSet()

Method Detail

### clearWarnings

    public void clearWarnings()
                       throws java.sql.SQLException

  This is a noop since warnings are not supported.

  Throws:
    `java.sql.SQLException`

### getArray

    public java.sql.Array getArray(int columnIndex)
                            throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getAsciiStream

    public java.io.InputStream getAsciiStream(int columnIndex)
                                       throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int columnIndex)
                                       throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getBigDecimal

    @Deprecated
    public java.math.BigDecimal getBigDecimal(int columnIndex,
                                                         int scale)
                                       throws java.sql.SQLException

  Deprecated.

  Throws:
    `java.sql.SQLException`

### getBinaryStream

    public java.io.InputStream getBinaryStream(int columnIndex)
                                        throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getBlob

    public java.sql.Blob getBlob(int columnIndex)
                          throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getBoolean

    public boolean getBoolean(int columnIndex)
                       throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getByte

    public byte getByte(int columnIndex)
                 throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getBytes

    public byte[] getBytes(int columnIndex)
                    throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getCharacterStream

    public java.io.Reader getCharacterStream(int columnIndex)
                                      throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getClob

    public java.sql.Clob getClob(int columnIndex)
                          throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getDate

    public java.sql.Date getDate(int columnIndex)
                          throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getDate

    public java.sql.Date getDate(int columnIndex,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getDouble

    public double getDouble(int columnIndex)
                     throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getFloat

    public float getFloat(int columnIndex)
                   throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getInt

    public int getInt(int columnIndex)
               throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getLong

    public long getLong(int columnIndex)
                 throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getMetaData

    public java.sql.ResultSetMetaData getMetaData()
                                           throws java.sql.SQLException

  ResultSetMetaData is not yet supported.

  Throws:
    `java.sql.SQLException` - indicating that this feature is not supported.

### getObject

    public final java.lang.Object getObject(int columnIndex)
                                     throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getObject

    public final java.lang.Object getObject(int columnIndex,
                                            java.util.Map map)
                                     throws java.sql.SQLException

  Specified by:
    `getObject` in interface `java.sql.ResultSet`
  Overrides:
    `getObject` in class `AbstractResultSet`
  Throws:
    `java.sql.SQLException`

### getRef

    public java.sql.Ref getRef(int columnIndex)
                        throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getShort

    public short getShort(int columnIndex)
                   throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getString

    public java.lang.String getString(int columnIndex)
                               throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getTime

    public java.sql.Time getTime(int columnIndex)
                          throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getTime

    public java.sql.Time getTime(int columnIndex,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getTimestamp

    public java.sql.Timestamp getTimestamp(int columnIndex)
                                    throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getTimestamp

    public java.sql.Timestamp getTimestamp(int columnIndex,
                                           java.util.Calendar cal)
                                    throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getUnicodeStream

    public java.io.InputStream getUnicodeStream(int columnIndex)
                                         throws java.sql.SQLException

  Deprecated.

  Throws:
    `java.sql.SQLException`

### getURL

    public java.net.URL getURL(int columnIndex)
                        throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getWarnings

    public java.sql.SQLWarning getWarnings()
                                    throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### refreshRow

    public void refreshRow()
                    throws java.sql.SQLException

  Refresh row is not yet implemented.

  Throws:
    `java.sql.SQLException` - indicating that this feature is not supported.

### updateArray

    public void updateArray(int columnIndex,
                            java.sql.Array x)
                     throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### updateAsciiStream

    public void updateAsciiStream(int columnIndex,
                                  java.io.InputStream x,
                                  int length)
                           throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### updateBigDecimal

    public void updateBigDecimal(int columnIndex,
                                 java.math.BigDecimal x)
                          throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### updateBinaryStream

    public void updateBinaryStream(int columnIndex,
                                   java.io.InputStream x,
                                   int length)
                            throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### updateBlob

    public void updateBlob(int columnIndex,
                           java.sql.Blob x)
                    throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### updateBoolean

    public void updateBoolean(int columnIndex,
                              boolean x)
                       throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### updateByte

    public void updateByte(int columnIndex,
                           byte x)
                    throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### updateBytes

    public void updateBytes(int columnIndex,
                            byte[] x)
                     throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### updateCharacterStream

    public void updateCharacterStream(int columnIndex,
                                      java.io.Reader x,
                                      int length)
                               throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### updateClob

    public void updateClob(int columnIndex,
                           java.sql.Clob x)
                    throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### updateDate

    public void updateDate(int columnIndex,
                           java.sql.Date x)
                    throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### updateDouble

    public void updateDouble(int columnIndex,
                             double x)
                      throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### updateFloat

    public void updateFloat(int columnIndex,
                            float x)
                     throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### updateInt

    public void updateInt(int columnIndex,
                          int x)
                   throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### updateLong

    public void updateLong(int columnIndex,
                           long x)
                    throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### updateNull

    public void updateNull(int columnIndex)
                    throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### updateRef

    public void updateRef(int columnIndex,
                          java.sql.Ref x)
                   throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### updateShort

    public void updateShort(int columnIndex,
                            short x)
                     throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### updateString

    public void updateString(int columnIndex,
                             java.lang.String x)
                      throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### updateTime

    public void updateTime(int columnIndex,
                           java.sql.Time x)
                    throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### updateTimestamp

    public void updateTimestamp(int columnIndex,
                                java.sql.Timestamp x)
                         throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### wasNull

    public boolean wasNull()

### getNumber

    protected final java.lang.Number getNumber(int columnIndex,
                                               java.lang.Class cls)
                                        throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getValue

    protected final java.lang.Object getValue(int columnIndex,
                                              java.lang.Class cls)
                                       throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getValue

    protected java.lang.Object getValue(int columnIndex,
                                        java.lang.Class cls,
                                        java.util.Calendar cal)
                                 throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getObjectValue

    protected java.lang.Object getObjectValue(int columnIndex,
                                              java.util.Map typeMap)
                                       throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getObjectValue

    protected abstract java.lang.Object getObjectValue(int columnIndex)
                                                throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003, 2004, 2005 TADA AB - Taby Sweden. \ Distributed under the terms shown in COPYRIGHT